<?xml version='1.0' encoding='ISO-8859-1'?>
<xsl:stylesheet
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
version="1.0">

<!--rst

NAME
====

transformation docbook en un html

EVOLUTION
=========

$Id$


- fplod 2009-01-19T09:41:36Z aedon.locean-ipsl.upmc.fr (Darwin)

  * path of languages pages depends on level (many or one)

- fplod 2009-01-14T14:13:44Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add logo

- fplod 2009-01-08T16:34:45Z aedon.locean-ipsl.upmc.fr (Darwin)

  * cration

-->

<xsl:import href="http://docbook.sourceforge.net/release/xsl/1.75.2/xhtml/docbook.xsl"/>

<xsl:output method="xml"
encoding="utf-8"
indent="yes"
omit-xml-declaration="no"
doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

<xsl:include href="message_lang.xsl"/>

<!--
<xsl:param name="generate.toc">
book nop
</xsl:param>
-->

<xsl:param name="css.decoration" select="0"/>
<xsl:param name="section.autolabel" select="0"/>

<!--
Customization of footer area
-->
<xsl:template name="user.footer.content">
 <xsl:call-template name="para_lastupdate">
  <xsl:with-param name="language" select="$language"/>
  <xsl:with-param name="date" select="$makedate"/>
  <xsl:with-param name="mode" select="'html'"/>
 </xsl:call-template>

 <hr/>
 <xsl:element name="p">
  <xsl:call-template name="back">
   <xsl:with-param name="language" select="$language"/>
  </xsl:call-template>
  <xsl:text> </xsl:text>
  <xsl:element name="a">
   <xsl:attribute name="href">
    <xsl:value-of select="'../index.html'"/>
   </xsl:attribute>
   <xsl:text>home page</xsl:text> <!-- ++ translation -->
  </xsl:element>
 </xsl:element>
 <hr/>
 <xsl:call-template name="language_choice">
  <xsl:with-param name="language" select="$language"/>
  <xsl:with-param name="level" select="'one'"/>
  <xsl:with-param name="style" select="'1'"/>
 </xsl:call-template>
</xsl:template>

<xsl:template name="user.header.content">
 <xsl:element name="img">
  <xsl:attribute name="src">
   <xsl:value-of select="'../../images/logo2.bmp'"/>
  </xsl:attribute>
  <xsl:attribute name="class">
   <xsl:value-of select="'logo'"/>
  </xsl:attribute>
  <xsl:attribute name="alt">
   <xsl:value-of select="'[logo regyna]'"/>
  </xsl:attribute>
 </xsl:element>
</xsl:template>


</xsl:stylesheet>
