<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<!--rst

NAME
====

select one language in a multilanguage XML/DocBook file

SYNOPSIS
========

DESCRIPTION
===========

In a file where informations are written in several languages,
``select_lang.xsl`` call with argument language return a file 
with only titles and paragraphes  written in this language.

TODO
====

don't select parent when no child of the selected language is present.
just give a message on stdout when processing.

EVOLUTIONS
==========

$Id$

- fplod 2009-02-13T08:18:52Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add appendix, variablelist, varlistentry, term, listitem, note, simpara

- fplod 2009-01-16T13:59:32Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add d:chapter (oups !), quote

- fplod 2009-01-16T11:38:13Z aedon.locean-ipsl.upmc.fr (Darwin)

  * add article, link, table' elements

- fplod 2009-01-15T16:42:10Z aedon.locean-ipsl.upmc.fr (Darwin)
  
  * add bibliography elements

- fplod 2009-01-09T11:27:08Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:template match="*">
<!-- debug
 <xsl:message>LANG<xsl:value-of select="$language"/></xsl:message>
-->
 <xsl:apply-templates/>
</xsl:template>

<xsl:template match="d:article">
 <xsl:copy select=".">
  <xsl:copy-of select="@*"/>
  <xsl:attribute name="xml:lang">
   <xsl:value-of select="$language"/>
  </xsl:attribute>
  <xsl:apply-templates/>
 </xsl:copy>
</xsl:template>

<xsl:template match="d:book">
 <xsl:copy select=".">
  <xsl:copy-of select="@*"/>
  <xsl:attribute name="xml:lang">
   <xsl:value-of select="$language"/>
  </xsl:attribute>
  <xsl:apply-templates/>
 </xsl:copy>
</xsl:template>

<xsl:template match="d:info|d:keywordset|d:authorgroup|d:author|d:personname|d:surname|d:firstname|d:chapter|d:appendix|d:variablelist|d:varlistentry|d:term|d:listitem|d:note|d:sect1|d:sect2|d:sect3|d:sect4|d:sect5|d:bibliography|d:biblioentry|d:biblioset|d:title|d:pubdate|d:bibliomisc|d:volumenum|d:pagenums|d:confgroup|d:conftitle|d:confdates|d:address|d:publishername|d:publisher|d:informaltable|d:thead|d:tgroup|d:tbody|d:row|d:entry|d:entrytbl|d:link|d:quote">
 <xsl:copy select=".">
  <xsl:copy-of select="@*"/>
  <xsl:apply-templates/>
 </xsl:copy>
</xsl:template>

<xsl:template match="d:keyword|d:title|d:para|d:simpara">
 <xsl:variable name="result_att" select="not(@xml:lang)"/>
 <xsl:variable name="result_lang" select="@xml:lang=$language"/>
 <xsl:variable name="result" select="$result_lang or $result_att"/>
 <xsl:if test="$result_lang or $result_att">
  <xsl:copy-of select="."/>
 </xsl:if>
</xsl:template>

</xsl:stylesheet>
